gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.DrawStateT

Contents

- Exported types
- Methods
- Properties
  - currentX
  - currentY
  - pathOpen
  - pathStartX
  - pathStartY

Description

Current drawing state.

Since: 4.0.0

Synopsis

- newtype DrawStateT = DrawStateT (ManagedPtr DrawStateT)
- newZeroDrawStateT :: MonadIO m => m DrawStateT
- getDrawStateTCurrentX :: MonadIO m => DrawStateT -> m Float
- setDrawStateTCurrentX :: MonadIO m => DrawStateT -> Float -> m ()
- getDrawStateTCurrentY :: MonadIO m => DrawStateT -> m Float
- setDrawStateTCurrentY :: MonadIO m => DrawStateT -> Float -> m ()
- getDrawStateTPathOpen :: MonadIO m => DrawStateT -> m Int32
- setDrawStateTPathOpen :: MonadIO m => DrawStateT -> Int32 -> m ()
- getDrawStateTPathStartX :: MonadIO m => DrawStateT -> m Float
- setDrawStateTPathStartX :: MonadIO m => DrawStateT -> Float -> m ()
- getDrawStateTPathStartY :: MonadIO m => DrawStateT -> m Float
- setDrawStateTPathStartY :: MonadIO m => DrawStateT -> Float -> m ()

# Exported types

newtype DrawStateT Source #

Memory-managed wrapper type.

Constructors

DrawStateT (ManagedPtr DrawStateT) |

#### Instances

Instances details

Eq DrawStateT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT Methods (==) :: DrawStateT -> DrawStateT -> Bool Source # (/=) :: DrawStateT -> DrawStateT -> Bool Source #
GBoxed DrawStateT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT
ManagedPtrNewtype DrawStateT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT Methods toManagedPtr :: DrawStateT -> ManagedPtr DrawStateT Source #
TypedObject DrawStateT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT Methods glibType :: IO GType Source #
HasParentTypes DrawStateT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT
tag ~ 'AttrSet => Constructible DrawStateT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT Methods new :: MonadIO m => (ManagedPtr DrawStateT -> DrawStateT) -> [AttrOp DrawStateT tag] -> m DrawStateT Source #
IsGValue (Maybe DrawStateT) Source # | Convert `DrawStateT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DrawStateT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DrawStateT) Source #
type ParentTypes DrawStateT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawStateT type ParentTypes DrawStateT = '[] :: [Type]

newZeroDrawStateT :: MonadIO m => m DrawStateT Source #

Construct a `DrawStateT` struct initialized to zero.

# Methods

# Properties

## currentX

X component of current point

getDrawStateTCurrentX :: MonadIO m => DrawStateT -> m Float Source #

Get the value of the “`current_x`” field. When overloading is enabled, this is equivalent to

    get drawStateT #currentX

setDrawStateTCurrentX :: MonadIO m => DrawStateT -> Float -> m () Source #

Set the value of the “`current_x`” field. When overloading is enabled, this is equivalent to

    set drawStateT [ #currentX := value ]

## currentY

Y component of current point

getDrawStateTCurrentY :: MonadIO m => DrawStateT -> m Float Source #

Get the value of the “`current_y`” field. When overloading is enabled, this is equivalent to

    get drawStateT #currentY

setDrawStateTCurrentY :: MonadIO m => DrawStateT -> Float -> m () Source #

Set the value of the “`current_y`” field. When overloading is enabled, this is equivalent to

    set drawStateT [ #currentY := value ]

## pathOpen

Whether there is an open path

getDrawStateTPathOpen :: MonadIO m => DrawStateT -> m Int32 Source #

Get the value of the “`path_open`” field. When overloading is enabled, this is equivalent to

    get drawStateT #pathOpen

setDrawStateTPathOpen :: MonadIO m => DrawStateT -> Int32 -> m () Source #

Set the value of the “`path_open`” field. When overloading is enabled, this is equivalent to

    set drawStateT [ #pathOpen := value ]

## pathStartX

X component of the start of current path

getDrawStateTPathStartX :: MonadIO m => DrawStateT -> m Float Source #

Get the value of the “`path_start_x`” field. When overloading is enabled, this is equivalent to

    get drawStateT #pathStartX

setDrawStateTPathStartX :: MonadIO m => DrawStateT -> Float -> m () Source #

Set the value of the “`path_start_x`” field. When overloading is enabled, this is equivalent to

    set drawStateT [ #pathStartX := value ]

## pathStartY

Y component of the start of current path

getDrawStateTPathStartY :: MonadIO m => DrawStateT -> m Float Source #

Get the value of the “`path_start_y`” field. When overloading is enabled, this is equivalent to

    get drawStateT #pathStartY

setDrawStateTPathStartY :: MonadIO m => DrawStateT -> Float -> m () Source #

Set the value of the “`path_start_y`” field. When overloading is enabled, this is equivalent to

    set drawStateT [ #pathStartY := value ]